<?php
function ShowQuestForm(){
  if ($GLOBALS['islogged']){ //если есть логин

    $stmt = mysqli_prepare($GLOBALS['DB'], 'SELECT id_item FROM quest WHERE id_author=? LIMIT 1'); //проверяем есть ли анкета у данного участника
    mysqli_stmt_bind_param($stmt, 'i', intval($_COOKIE['iduser']));
    mysqli_stmt_execute($stmt);
    mysqli_stmt_bind_result($stmt, $id_item); 
    mysqli_stmt_fetch($stmt);
    mysqli_stmt_close($stmt);
    
    if (isset($id_item)){ //если анкета есть берём данные из неё
      $ans = array();
      $stmt = mysqli_prepare($GLOBALS['DB'], 'SELECT ans1, ans2, ans3, ans4, ans5, ans6, ans7, ans8, ans9, ans10, ans11, ans12 FROM quest WHERE id_item=? LIMIT 1');
      mysqli_stmt_bind_param($stmt, 'i', $id_item);
      mysqli_stmt_execute($stmt);
      mysqli_stmt_bind_result($stmt, $ans[1], $ans[2], $ans[3], $ans[4], $ans[5], $ans[6], $ans[7], $ans[8], $ans[9], $ans[10], $ans[11], $ans[12]); 
      mysqli_stmt_fetch($stmt);
      mysqli_stmt_close($stmt);      
    }else{ //если анкеты нет, берём по умолчанию '0'
      $ans = array(1 => 0, 2=> 0, 3=> 0, 4=> 0, 5=> 0, 6=> 0, 7=> 0, 8=> 0, 9=> 0, 10=> 0, 11=>0, 12=>0);
    }  
  }else{ //если авторизации нету
    $html = '<table width="100%" style="background-color: #f5f5f5"><tr><td height="10px"></td></tr>
      <tr><td><div align="center">Авторизуйтесь, чтобы зполнить анкету.</div></td></tr><tr><td height="10px"></td></tr></table>';  
    return $html; //не используем сообщения ai=200 чтобы после авторизации вернуться на ту же страницу
  }

  require 'answers.php';
  $html = file_get_contents('./templates/QuestForm.html');

  $html = str_replace('{name}', '', $html);  

  for ($j = 1; $j <= count($anses); $j++){ //замещаем заглушки html-шаблоном
    $otvet = substr($ans[$j], 1); //отнимаем первый символ у строки. если это 1, тогда оставшаяся часть - это свой ответ, иначе - пусто
    if ($ans[$j][0] == '1') $display = ''; //показываем текстовое поле если есть особый ответ
    else $display = 'display:none;';
    $x = '<select name="q'."$j".'" id="q'."$j".'" style="font-size: 15px" onchange="selectchange('."$j".')">{ans'."$j".'}</select>
    <textarea name="myans'."$j".'" id="myans'."$j".'" rows="3" style="width: 315px; overflow: auto; '.$display.'">'.$otvet.'</textarea>';
    $html = str_replace('{a'."$j".'}', $x, $html);
  }

  for ($j = 1; $j <= count($anses); $j++){ //замещаем шаблон конкретными ответами
    $options = '';
    for ($i = 0; $i<=(count($anses[$j])-1); $i++){
      if ($i == $ans[$j][0]) $options .= '<option value="'.$i.'" selected>'.$anses[$j][$i].'</option>'."\n"; 
      else $options .= '<option value="'.$i.'">'.$anses[$j][$i].'</option>'."\n";
    }
    $html = str_replace('{ans'."$j".'}', $options, $html);
  }

  $button = '<td colspan="2" align="center"><input type="submit" name="submitForm" value="Сохранить анкету" style="font-size: 15px; font-weight: 600; width: 200px"></td>';
  $html = str_replace('{button}', $button, $html);

  return $html;
}
?>