<?php
require 'const.php';
session_start();

if (!isset($_COOKIE['iduser']) or !isset($_COOKIE['hash'])){ //если юзер не авторизован, то перенаправляем на начальную страницу
  if (isset($_SERVER['HTTPS'])) header('Location: https://'.$HostName);
  else header('Location: http://'.$HostName);
  exit();
}

if (!isset($_POST['code'])){ //если код отсутствует, то запускаем форму
  if (isset($_SERVER['HTTPS'])) header('Location: https://'.$HostName.'/?ai=6');
  else header('Location: http://'.$HostName.'/?ai=6');
  exit();
}

$code = preg_replace('/[^0-9]/', '', $_POST['code']); // удаляем всё кроме цифр
$code = substr($code, 0, 6); //обрезаем по длине

$DB = mysqli_connect($DBhost, $DBuser, $DBpwd);
if ($DB == false) $_SESSION['msg'] = 'Ошибка соединения с базой данных: '.mysqli_connect_error();
else{
mysqli_select_db($DB, $DBname); 

$stmt = mysqli_prepare($DB, 'SELECT smscode, emailcode FROM users WHERE user_hash=? LIMIT 1');
mysqli_stmt_bind_param($stmt, 's', $_COOKIE['hash']);
mysqli_stmt_execute($stmt);
mysqli_stmt_bind_result($stmt, $codeDB, $emailcode);
mysqli_stmt_fetch($stmt);
mysqli_stmt_close($stmt);

switch ($codeDB)
{
  case '0':
    $_SESSION['msg'] = 'Вы можете осуществить активацию через свою учётную запись.';
    break;
  case '1':
    $_SESSION['msg'] = 'Вы уже активировали свою учётную запись по электронной почте.';
    break;
  default:
    if ("$code" !== "$codeDB"){
      $stmt = mysqli_prepare($DB, "UPDATE users SET smscode='0' WHERE user_hash=?");// '0' - значит попытка активации была, но она неудачная
      mysqli_stmt_bind_param($stmt, 's', $_COOKIE['hash']);
      mysqli_stmt_execute($stmt);
      mysqli_stmt_close($stmt);
      $_SESSION['msg'] = 'Данные введены некорректно.<br>Повторную активацию Вы можете осуществить через свою учётную запись.';
    }else{
      if ($emailcode == '1') $status = 'create';
      else $status = 'write';
      
      $stmt = mysqli_prepare($DB, "UPDATE users SET smscode='1', status=? WHERE user_hash=?");
      mysqli_stmt_bind_param($stmt, 'ss',  $status, $_COOKIE['hash']);
      mysqli_stmt_execute($stmt);
      mysqli_stmt_close($stmt);
      $_SESSION['msg'] = 'Учётная запись успешно активирована по Telegram.<br>Теперь у Вас есть возможность создавать топики и жалобы.';
    }
}
mysqli_close($DB);   
}

if (isset($_SERVER['HTTPS'])) header('Location: https://'.$HostName.'/?ai=200'); //в любом случае показываем сообщение
else header('Location: http://'.$HostName.'/?ai=200');
?>